org.apache.felix.gogo.jline

## Class BaseConverters

- java.lang.Object
- - org.apache.felix.gogo.jline.BaseConverters

All Implemented Interfaces:
  org.apache.felix.service.command.Converter

Direct Known Subclasses:
  Converters

    public class BaseConverters
    extends Object
    implements org.apache.felix.service.command.Converter

### Field Summary

### Fields inherited from interface org.apache.felix.service.command.Converter

`CONVERTER_CLASSES, INSPECT, LINE, PART`

### Constructor Summary

Constructors
Constructor and Description
`BaseConverters()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Object` `convert(Class<?> desiredType, Object in)`
`CharSequence` `format(Object target, int level, org.apache.felix.service.command.Converter converter)`
`static boolean` `isFunctional(Class<?> clazz)`
`static boolean` `isObjectMethod(Method method)`
`static boolean` `isStatic(Method method)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BaseConverters

    public BaseConverters()

### Method Detail

#### convert

    public Object convert(Class<?> desiredType,
                          Object in)
                   throws Exception

Specified by:
  `convert` in interface `org.apache.felix.service.command.Converter`
Throws:
  `Exception`

#### format

    public CharSequence format(Object target,
                               int level,
                               org.apache.felix.service.command.Converter converter)
                        throws IOException

Specified by:
  `format` in interface `org.apache.felix.service.command.Converter`
Throws:
  `IOException`

#### isFunctional

    public static boolean isFunctional(Class<?> clazz)

#### isStatic

    public static boolean isStatic(Method method)

#### isObjectMethod

    public static boolean isObjectMethod(Method method)